#include <owl\static.h>
#include <owl\button.h>
#ifndef __AVIDLG_H
#define __AVIDLG_H

#if defined(AVI_DLL)
	#define _AVICLASS _export
#elif defined(AVI_APP)
	#define _AVICLASS _import
#else
	#define _AVICLASS
#endif

class _AVICLASS TAviDlg : public TDialog {
	public:
		TAviDlg(TWindow* parent, TModule* mod, const char* far title,
						const char* far version, const char* far date,
						const char* far filename);
		void SetupWindow();
		void CmOk();
		LRESULT MciNotify(WPARAM, LPARAM);
		DWORD OpenAvi();
		DWORD PlayAvi();
		RECT GetVideoRect();
		void RewindAvi();
		BOOL CheckError(DWORD);
		char Title[100], Ver[20], Date[20];
		char Filename[100];
		TStatic* stTitle;
		TStatic* stVersion;
		TStatic* stDate;
		TStatic* AviWindow;
		TButton* Button;
		UINT BottomMargin;
		UINT RightMargin;
		UINT DeviceID;
		BOOL DeviceOpen;

		DECLARE_RESPONSE_TABLE(TAviDlg);
};

#endif