//----------------------------------------------------------------------------
// ObjectWindows - (C) Copyright 1991, 1993 by Borland International
//   Tutorial application -- step06.cpp
//----------------------------------------------------------------------------
#include <owl\module.h>
#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\dc.h>
#include <stdlib.h>
#include <owl\dialog.h>
#include <owl\static.h>
#include <string.h>
#pragma hdrstop
//#include <windowsx.h>

#include "wintest.rh"

static TModule* AboutDll = 0;

#include "owlavidg.h"

class TMyWindow : public TWindow {
	public:
	 TMyWindow(TWindow *parent = 0);
	 void CmQuit();
	 void CmAbout();

	 DECLARE_RESPONSE_TABLE(TMyWindow);
};

DEFINE_RESPONSE_TABLE1(TMyWindow, TWindow)
	EV_COMMAND(CM_QUIT, CmQuit),
	EV_COMMAND(CM_ABOUT, CmAbout),
END_RESPONSE_TABLE;

TMyWindow::TMyWindow(TWindow *parent)
{
	Init(parent, 0, 0);
}

void TMyWindow::CmQuit()
{
	Destroy();
}

// replace 'X' below with an AVI filename for example, "some.avi"
void TMyWindow::CmAbout()
{
	TAviDlg(this, AboutDll, "Kent's Test Program",
			"Version 1.0", "May 5, 1995", "X").Execute();
}

class TMyApp : public TApplication {
  public:
	 TMyApp(const char far* name) : TApplication(name) {};

		void InitMainWindow();
};

void
TMyApp::InitMainWindow()
{
  EnableCtl3d(TRUE);
	SetMainWindow(new TFrameWindow(0, "AVI Dialog Test Program", new TMyWindow));
	GetMainWindow()->AssignMenu("COMMANDS");
}


int OwlMain(int /*argc*/, char* /*argv*/ [])
{
	AboutDll = new TModule("owlavidg.dll");
	TMyApp app("Test App");
	int ret = app.Run();
	if (AboutDll) delete AboutDll;
	return ret;
}

